FT_4222_Defines.CHIPTOP_CMD

com.ftdi.j2xx.ft4222

## Class FT_4222_Defines.CHIPTOP_CMD

- java.lang.Object
- - com.ftdi.j2xx.ft4222.FT_4222_Defines.CHIPTOP_CMD

- Enclosing class:
    FT_4222_Defines

      public class FT_4222_Defines.CHIPTOP_CMD
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHIPTOP_DISABLE_BCD_DECTION`
    `static int` | `CHIPTOP_ENABLE_REMOTE_WAKE_UP`
    `static int` | `CHIPTOP_ENABLE_SUSPEND_OUT`
    `static int` | `CHIPTOP_GET_CHIPTOP_REG`
    `static int` | `CHIPTOP_GET_CLK`
    `static int` | `CHIPTOP_GET_DESC_STRING`
    `static int` | `CHIPTOP_GET_MODE`
    `static int` | `CHIPTOP_GET_OTP_REG`
    `static int` | `CHIPTOP_GET_OTP_TEST_BYTE`
    `static int` | `CHIPTOP_GET_SFR`
    `static int` | `CHIPTOP_GET_STATUS`
    `static int` | `CHIPTOP_GET_USB_REG`
    `static int` | `CHIPTOP_GET_USER_DATA_STATUS`
    `static int` | `CHIPTOP_GET_VERSION`
    `static int` | `CHIPTOP_RESET`
    `static int` | `CHIPTOP_SELECT_FUNCTION`
    `static int` | `CHIPTOP_SET_BCD_DECTION_POLARITY`
    `static int` | `CHIPTOP_SET_CLK`
    `static int` | `CHIPTOP_SET_CLK30K_TRIM_REG`
    `static int` | `CHIPTOP_SET_DS_CTL0_REG`
    `static int` | `CHIPTOP_SET_DS_CTL1_REG`
    `static int` | `CHIPTOP_SET_DS_CTL2_REG`
    `static int` | `CHIPTOP_SET_INTERRUPT_LEVEL`
    `static int` | `CHIPTOP_SET_OSC_TRIM0_REG`
    `static int` | `CHIPTOP_SET_OSC_TRIM1_REG`
    `static int` | `CHIPTOP_SET_PHY_ODT_REG`
    `static int` | `CHIPTOP_SET_PHY_TXCTL_REG`
    `static int` | `CHIPTOP_SET_REG_TRIM_REG`
    `static int` | `CHIPTOP_SET_SR_CTL0_REG`
    `static int` | `CHIPTOP_SET_SR_CTL1_REG`
    `static int` | `CHIPTOP_WRITE_OTP_TEST_BYTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_4222_Defines.CHIPTOP_CMD()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHIPTOP_GET_VERSION

          public static final int CHIPTOP_GET_VERSION

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_STATUS

          public static final int CHIPTOP_GET_STATUS

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_USER_DATA_STATUS

          public static final int CHIPTOP_GET_USER_DATA_STATUS

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_MODE

          public static final int CHIPTOP_GET_MODE

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_CLK

          public static final int CHIPTOP_GET_CLK

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_CLK

          public static final int CHIPTOP_SET_CLK

      See Also:
        Constant Field Values

    - #### CHIPTOP_SELECT_FUNCTION

          public static final int CHIPTOP_SELECT_FUNCTION

      See Also:
        Constant Field Values

    - #### CHIPTOP_RESET

          public static final int CHIPTOP_RESET

      See Also:
        Constant Field Values

    - #### CHIPTOP_ENABLE_REMOTE_WAKE_UP

          public static final int CHIPTOP_ENABLE_REMOTE_WAKE_UP

      See Also:
        Constant Field Values

    - #### CHIPTOP_ENABLE_SUSPEND_OUT

          public static final int CHIPTOP_ENABLE_SUSPEND_OUT

      See Also:
        Constant Field Values

    - #### CHIPTOP_DISABLE_BCD_DECTION

          public static final int CHIPTOP_DISABLE_BCD_DECTION

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_BCD_DECTION_POLARITY

          public static final int CHIPTOP_SET_BCD_DECTION_POLARITY

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_INTERRUPT_LEVEL

          public static final int CHIPTOP_SET_INTERRUPT_LEVEL

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_DS_CTL0_REG

          public static final int CHIPTOP_SET_DS_CTL0_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_DS_CTL1_REG

          public static final int CHIPTOP_SET_DS_CTL1_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_DS_CTL2_REG

          public static final int CHIPTOP_SET_DS_CTL2_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_SR_CTL0_REG

          public static final int CHIPTOP_SET_SR_CTL0_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_SR_CTL1_REG

          public static final int CHIPTOP_SET_SR_CTL1_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_REG_TRIM_REG

          public static final int CHIPTOP_SET_REG_TRIM_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_CLK30K_TRIM_REG

          public static final int CHIPTOP_SET_CLK30K_TRIM_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_OSC_TRIM0_REG

          public static final int CHIPTOP_SET_OSC_TRIM0_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_OSC_TRIM1_REG

          public static final int CHIPTOP_SET_OSC_TRIM1_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_PHY_TXCTL_REG

          public static final int CHIPTOP_SET_PHY_TXCTL_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_SET_PHY_ODT_REG

          public static final int CHIPTOP_SET_PHY_ODT_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_DESC_STRING

          public static final int CHIPTOP_GET_DESC_STRING

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_CHIPTOP_REG

          public static final int CHIPTOP_GET_CHIPTOP_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_USB_REG

          public static final int CHIPTOP_GET_USB_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_OTP_REG

          public static final int CHIPTOP_GET_OTP_REG

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_SFR

          public static final int CHIPTOP_GET_SFR

      See Also:
        Constant Field Values

    - #### CHIPTOP_WRITE_OTP_TEST_BYTE

          public static final int CHIPTOP_WRITE_OTP_TEST_BYTE

      See Also:
        Constant Field Values

    - #### CHIPTOP_GET_OTP_TEST_BYTE

          public static final int CHIPTOP_GET_OTP_TEST_BYTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FT_4222_Defines.CHIPTOP_CMD

          public FT_4222_Defines.CHIPTOP_CMD()

About FTDI | FTDI Licence Terms